TransformerDefaultHandler (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.util

## Class TransformerDefaultHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.xml.sax.ext.DefaultHandler2
    - - org.apache.fop.util.TransformerDefaultHandler

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler, DeclHandler, EntityResolver2, LexicalHandler

      public class TransformerDefaultHandler
      extends DefaultHandler2

  A DefaultHandler implementation that delegates all the method calls to a `TransformerHandler` instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformerDefaultHandler(TransformerHandler transformerHandler)` Creates a new instance delegating to the given TransformerHandler object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `comment(char[] charArray, int start, int length)`
    `void` | `endCDATA()`
    `void` | `endDocument()`
    `void` | `endDTD()`
    `void` | `endElement(String uri, String localName, String qName)`
    `void` | `endEntity(String name)`
    `void` | `endPrefixMapping(String string)`
    `TransformerHandler` | `getTransformerHandler()` Returns the delegate TransformerHandler instance.
    `void` | `ignorableWhitespace(char[] ch, int start, int length)`
    `void` | `notationDecl(String name, String publicId, String systemId)`
    `void` | `processingInstruction(String target, String data)`
    `void` | `setDocumentLocator(Locator locator)`
    `void` | `skippedEntity(String name)`
    `void` | `startCDATA()`
    `void` | `startDocument()`
    `void` | `startDTD(String name, String pid, String lid)`
    `void` | `startElement(String uri, String localName, String qName, Attributes attrs)`
    `void` | `startEntity(String name)`
    `void` | `startPrefixMapping(String prefix, String uri)`
    `void` | `unparsedEntityDecl(String name, String publicId, String systemId, String notationName)`

    - ### Methods inherited from class org.xml.sax.ext.DefaultHandler2

      `attributeDecl, elementDecl, externalEntityDecl, getExternalSubset, internalEntityDecl, resolveEntity, resolveEntity`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `error, fatalError, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformerDefaultHandler

          public TransformerDefaultHandler(TransformerHandler transformerHandler)

      Creates a new instance delegating to the given TransformerHandler object.
      Parameters:
        `transformerHandler` - the object to which all the method calls will be delegated

  - ### Method Detail

    - #### getTransformerHandler

          public TransformerHandler getTransformerHandler()

      Returns the delegate TransformerHandler instance.
      Returns:
        the object to which all method calls are delegated

    - #### setDocumentLocator

          public void setDocumentLocator(Locator locator)

      Specified by:
        `setDocumentLocator` in interface `ContentHandler`
      Overrides:
        `setDocumentLocator` in class `DefaultHandler`

    - #### startDocument

          public void startDocument()
                             throws SAXException

      Specified by:
        `startDocument` in interface `ContentHandler`
      Overrides:
        `startDocument` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### endDocument

          public void endDocument()
                           throws SAXException

      Specified by:
        `endDocument` in interface `ContentHandler`
      Overrides:
        `endDocument` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### startPrefixMapping

          public void startPrefixMapping(String prefix,
                                         String uri)
                                  throws SAXException

      Specified by:
        `startPrefixMapping` in interface `ContentHandler`
      Overrides:
        `startPrefixMapping` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### endPrefixMapping

          public void endPrefixMapping(String string)
                                throws SAXException

      Specified by:
        `endPrefixMapping` in interface `ContentHandler`
      Overrides:
        `endPrefixMapping` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### startElement

          public void startElement(String uri,
                                   String localName,
                                   String qName,
                                   Attributes attrs)
                            throws SAXException

      Specified by:
        `startElement` in interface `ContentHandler`
      Overrides:
        `startElement` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### endElement

          public void endElement(String uri,
                                 String localName,
                                 String qName)
                          throws SAXException

      Specified by:
        `endElement` in interface `ContentHandler`
      Overrides:
        `endElement` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)
                          throws SAXException

      Specified by:
        `characters` in interface `ContentHandler`
      Overrides:
        `characters` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### ignorableWhitespace

          public void ignorableWhitespace(char[] ch,
                                          int start,
                                          int length)
                                   throws SAXException

      Specified by:
        `ignorableWhitespace` in interface `ContentHandler`
      Overrides:
        `ignorableWhitespace` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### processingInstruction

          public void processingInstruction(String target,
                                            String data)
                                     throws SAXException

      Specified by:
        `processingInstruction` in interface `ContentHandler`
      Overrides:
        `processingInstruction` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### skippedEntity

          public void skippedEntity(String name)
                             throws SAXException

      Specified by:
        `skippedEntity` in interface `ContentHandler`
      Overrides:
        `skippedEntity` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### notationDecl

          public void notationDecl(String name,
                                   String publicId,
                                   String systemId)
                            throws SAXException

      Specified by:
        `notationDecl` in interface `DTDHandler`
      Overrides:
        `notationDecl` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### unparsedEntityDecl

          public void unparsedEntityDecl(String name,
                                         String publicId,
                                         String systemId,
                                         String notationName)
                                  throws SAXException

      Specified by:
        `unparsedEntityDecl` in interface `DTDHandler`
      Overrides:
        `unparsedEntityDecl` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### startDTD

          public void startDTD(String name,
                               String pid,
                               String lid)
                        throws SAXException

      Specified by:
        `startDTD` in interface `LexicalHandler`
      Overrides:
        `startDTD` in class `DefaultHandler2`
      Throws:
        `SAXException`

    - #### endDTD

          public void endDTD()
                      throws SAXException

      Specified by:
        `endDTD` in interface `LexicalHandler`
      Overrides:
        `endDTD` in class `DefaultHandler2`
      Throws:
        `SAXException`

    - #### startEntity

          public void startEntity(String name)
                           throws SAXException

      Specified by:
        `startEntity` in interface `LexicalHandler`
      Overrides:
        `startEntity` in class `DefaultHandler2`
      Throws:
        `SAXException`

    - #### endEntity

          public void endEntity(String name)
                         throws SAXException

      Specified by:
        `endEntity` in interface `LexicalHandler`
      Overrides:
        `endEntity` in class `DefaultHandler2`
      Throws:
        `SAXException`

    - #### startCDATA

          public void startCDATA()
                          throws SAXException

      Specified by:
        `startCDATA` in interface `LexicalHandler`
      Overrides:
        `startCDATA` in class `DefaultHandler2`
      Throws:
        `SAXException`

    - #### endCDATA

          public void endCDATA()
                        throws SAXException

      Specified by:
        `endCDATA` in interface `LexicalHandler`
      Overrides:
        `endCDATA` in class `DefaultHandler2`
      Throws:
        `SAXException`

    - #### comment

          public void comment(char[] charArray,
                              int start,
                              int length)
                       throws SAXException

      Specified by:
        `comment` in interface `LexicalHandler`
      Overrides:
        `comment` in class `DefaultHandler2`
      Throws:
        `SAXException`

Copyright © 2025 Apache Software Foundation. All rights reserved.